<?php
/**********************************************************************************
* SMFShop item                                                                    *
***********************************************************************************
* SMFShop: Shop MOD for Simple Machines Forum                                     *
* =============================================================================== *
* Software Version:           SMFShop 3.0 (Build 12)                              *
* $Date:: 2007-01-18 19:26:55 +1100 (Thu, 18 Jan 2007)                          $ *
* $Id:: Steal.php 79 2007-01-18 08:26:55Z daniel15                              $ *
* Software by:                DanSoft Australia (http://www.dansoftaustralia.net/)*
* Copyright 2005-2007 by:     DanSoft Australia (http://www.dansoftaustralia.net/)*
* Support, News, Updates at:  http://www.dansoftaustralia.net/                    *
*                                                                                 *
* Forum software by:          Simple Machines (http://www.simplemachines.org)     *
* Copyright 2006-2007 by:     Simple Machines LLC (http://www.simplemachines.org) *
*           2001-2006 by:     Lewis Media (http://www.lewismedia.com)             *
***********************************************************************************
* This program is free software; you may redistribute it and/or modify it under   *
* the terms of the provided license as published by Simple Machines LLC.          *
*                                                                                 *
* This program is distributed in the hope that it is and will be useful, but      *
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY    *
* or FITNESS FOR A PARTICULAR PURPOSE.                                            *
*                                                                                 *
* See the "license.txt" file for details of the Simple Machines license.          *
* The latest version of the license can always be found at                        *
* http://www.simplemachines.org.                                                  *
**********************************************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');

class item_Cage extends itemTemplate
{
	function getItemDetails()
	{
		$this->authorName = 'Basilbeard';
		$this->authorWeb = 'www.nomicville.com';
		$this->authorEmail = 'basilbeard@nomicville.com';

		$this->name = 'Pet Cage';
		$this->desc = 'Increase your max pets by one!';
		$this->price = 5000;
		
		$this->require_input = true;
		$this->can_use_item = true;
	}

	function getAddInput()
	{
		global $item_info, $db_prefix;
		return 'Max number of max pets: <input type="text" name="info1" value="' . $item_info[1]  . '" /><br />';
	}
	
	function getUseInput()
	{
		global $db_prefix, $ID_MEMBER, $item_info;
		
		$result = db_query("SELECT maxpets FROM {$db_prefix}members WHERE ID_MEMBER = {$ID_MEMBER}", __FILE__, __LINE__);
		$row = mysql_fetch_assoc($result);
		if ($row['maxpets'] >= $item_info[1]) {
			return "You already have too many pets to use this item. Using it will just result in item loss.";
		}
		else {
			return "Are you sure you want to use this item?";
		}
	}

	function onUse()
	{
		global $db_prefix, $ID_MEMBER, $item_info;
		
		$result = db_query("SELECT maxpets FROM {$db_prefix}members WHERE ID_MEMBER = {$ID_MEMBER}", __FILE__, __LINE__);
		$row = mysql_fetch_assoc($result);
		if ($row['maxpets'] >= $item_info[1]) {
			return "Told you so!";
		}
		else {
			$maxpets = $row['maxpets'] + 1;
			$result = db_query("UPDATE {$db_prefix}members SET maxpets = maxpets + 1 WHERE ID_MEMBER = {$ID_MEMBER}", __FILE__, __LINE__);
			return "You can now own up to {$maxpets} pets";
		}
	}
}
?>
