<?php
if (!class_exists('pet_Bunny')) { //Make sure name matches php file
class pet_Bunny extends petTemplate { //Make sure name matches php file
	function load_breed() {
	$this->breed = 'Fluffy Bunny'; //The name of the breed)
	$this->breed_desc = 'These bunnies are full of fluff!'; //The description of the breed.
    $this->price = 2000; //The price to purchase one of these pets
    $this->breed_img = 'bunny.gif'; //The img file of the breed
    $this->skills_cnt = 4; //The number of skills the pet can use
        
    //Sample skill. For each addtional skill, increase the index by one.(So your next skill would be $this->skill[1])
	$this->skill[0] = new skill;       //Required for making new skills. 
	$this->skill[0]->name = "Karma Smile";   //Name of skill
	$this->skill[0]->level_learn = 1;  //Level the pet learns the skill
	$this->skill[0]->level_max = 10;    //Level the pet masters the skill
	$this->skill[0]->cost = 1;         //Cost, in skill points, of the skill.
	$this->skill[0]->fail_msg = $this->name.' tries to smile, but can\'t quite crack a grin. Try raising it\'s level';
	
	$this->skill[1] = new skill;       //Required for making new skills. 
	$this->skill[1]->name = "Garden Dash";   //Name of skill
	$this->skill[1]->level_learn = 5;  //Level the pet learns the skill
	$this->skill[1]->level_max = 20;    //Level the pet masters the skill
	$this->skill[1]->cost = 1;         //Cost, in skill points, of the skill.
	$this->skill[1]->fail_msg = $this->name.' forgets where the garden is. Increase it\'s level and try again.';
	
	$this->skill[2] = new skill;       //Required for making new skills. 
	$this->skill[2]->name = "Risky Investment";   //Name of skill
	$this->skill[2]->level_learn = 15;  //Level the pet learns the skill
	$this->skill[2]->level_max = 30;    //Level the pet masters the skill
	$this->skill[2]->cost = 2;         //Cost, in skill points, of the skill.
	$this->skill[2]->fail_msg = $this->name.' forgets how to sign it\'s name, and so cannot make any investments. Maybe if it was smarter...';
	
	$this->skill[3] = new skill;       //Required for making new skills. 
	$this->skill[3]->name = "Replication";   //Name of skill
	$this->skill[3]->level_learn = 30;  //Level the pet learns the skill
	$this->skill[3]->level_max = 50;    //Level the pet masters the skill
	$this->skill[3]->cost = 3;         //Cost, in skill points, of the skill.
	$this->skill[3]->fail_msg = $this->name.' cannot even find your inventory, so cannot replicate anything. Level it up and try again!';
	}
	
	//Sample skill function. A different function is needed for each skill. Skill function should be named "use_skill_i" where i is that skills index.
	//Code these skills like you would code the action part of items. Currently input cannot be given into skills. Sorry.
	function use_skill_0() {
		global $db_prefix, $ID_MEMBER;
		
		$result = db_query("
			UPDATE {$db_prefix}members
			SET karmaGood = karmaGood + 1
			WHERE ID_MEMBER = {$ID_MEMBER}", __FILE__, __LINE__);
		return $this->name.' smiles a cute rabbit smile, increasing your karma by one';
	}
	
	function use_skill_1() {
		global $db_prefix, $ID_MEMBER;
		
		$result = db_query("
			UPDATE {$db_prefix}members
			SET money = money + 10
			WHERE ID_MEMBER = {$ID_MEMBER}", __FILE__, __LINE__);
		return $this->name.' dashes into a garden and comes back with some vegetables, which you pawn for '.formatMoney(10).'!';
	}
	
	function use_skill_2() {
		global $db_prefix, $ID_MEMBER;
		
		$factor = mt_rand(0, 5);
		$factor = $factor / 2;
		
		$result = db_query("
			SELECT money
			FROM {$db_prefix}members
			WHERE ID_MEMBER = {$ID_MEMBER}", __FILE__, __LINE__);
		$row = mysql_fetch_assoc($result);
		
		$money = $row['money'] * $factor;
		
		$result = db_query("
			UPDATE {$db_prefix}members
			SET money = $money 
			WHERE ID_MEMBER = {$ID_MEMBER}", __FILE__, __LINE__);
		return $this->name.' invests your money in a large carrot plant. The investment returns '.formatMoney($money);
	}
	
	function use_skill_3() {
		global $db_prefix, $ID_MEMBER;
		
		$result = db_query("
			SELECT itemid
			FROM {$db_prefix}shop_inventory
			WHERE ownerid = {$ID_MEMBER}",
			__FILE__, __LINE__);

			
		$duck = array();
		while ($row = mysql_fetch_assoc($result)) {
			$duck[] = $row['itemid'];
		}
		shuffle($duck);
		if (count($duck) > 0) {
			$item = $duck[0];
			$result = db_query("
				INSERT INTO {$db_prefix}shop_inventory
				(`ownerid`, `itemid`)
				VALUES ({$ID_MEMBER}, {$item})",
				__FILE__, __LINE__);
			$result = db_query("
				SELECT name
				FROM {$db_prefix}shop_items
				WHERE id = {$item}",
				__FILE__, __LINE__);
			$row = mysql_fetch_assoc($result);
			return $this->name." fishes around in your inventory and finds a ".$row['name'].". He dissapears with it for a moment, and then comes back with a brand new copy of one!";
		}
		else {
			return $this->name." fishes around in your inventory but cannot find anything to replicate";
		}
	}
	}
}
?>